# $Revision: 1.29.2.1 $, $Date: 2003/03/13 00:56:43 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	CBC
Summary:	Crypt::CBC - Encrypt Data with Cipher Block Chaining Mode
Summary(pl):	Modu Crypt::CBC - szyfrujcy dane w trybie Cipher Block Chaining
Name:		perl-Crypt-CBC
Version:	2.08
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Digest-MD5 >= 2.00
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a Perl-only implementation of the cryptographic cipher
block chaining mode (CBC). In combination with a block cipher such as
DES or IDEA, you can encrypt and decrypt messages of arbitrarily long
length. The encrypted messages are compatible with the encryption
format used by SSLeay.

%description -l pl
Ten modu jest czysto perlow implementacj szyfrowania w trybie
CBC (Cipher Block Chaining). W poczeniu z szyfrem blokowym, takim
jak DES lub IDEA, pozwala szyfrowa i deszyfrowa wiadomoci o
dowolnej dugoci. Zaszyfrowane wiadomoci s kompatybilne z formatem
uywanym przez SSLeay.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Crypt/CBC.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-CBC.spec,v $
Revision 1.29.2.1  2003/03/13 00:56:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.29  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:28:41  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/09/14 12:51:56  qboosh
- added pl description, release 2

Revision 1.26  2002/09/12 22:24:48  radek
- version 2.08
- provided informative summary/description, fixed License field
STBR

Revision 1.25  2002/07/22 21:33:08  ankry
- translations, cleaning
- fixed permissions
- release 2

Revision 1.24  2002/07/20 23:08:52  qboosh
- updated to 2.05, moved examples to examplesdir

Revision 1.23  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.22  2002/07/11 07:58:08  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:30:24  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:10:46  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:25:06  depesz
adapterized

Revision 1.15  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.13  2001/11/27 23:30:30  filon
- fixed typo in docs
- relase 4

Revision 1.12  2001/04/30 22:49:45  baggins
- added Digest-Md5 patch

Revision 1.11  2001/04/17 12:06:56  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2000/12/30 04:42:06  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.8  2000/08/23 09:16:14  kloczek
- updated to 1.25.

Revision 1.7  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.2  2000/02/17 20:37:03  pius
- updated to 1.22

Revision 1.1  1999/11/10 18:25:27  pius
- initial release
